#pragma once
#include "tipwindow.h"


class cBuffToolTipWindow : public cTipWindow
{
public:
	cBuffToolTipWindow();
	virtual ~cBuffToolTipWindow();

	bool SetBuff( const cUIPos& pos, unsigned long uniqueIdx, unsigned long influenceIdx, bool showTime );

	virtual void Show( bool onsound = true );
	virtual void Hide( bool onsound = true );

protected:
	
	void OnTimer();
	void OnRender( cUIFontItemKeeper* fontKeeper );
	void Clear();

	bool SetBuffTip( unsigned long uniqueIdx, unsigned long influenceIdx );

protected:
	cTipParam	mRightTip;

	bool			mShowTime;
	unsigned long	mUniqueIdx;
	unsigned int	mTimeTipIdx;	
};
